/**
 * create by strawmanbobi
 * 2016-11-30
 */

[data-i18n] {
    visibility: hidden;
}

/* Space out content a bit */
* {
    border-radius: 0 !important;
}

.modal {
    overflow-y: auto;
}

/* custom class to override .modal-open */
.modal-noscrollbar {
    margin-right: 0 !important;
}

body {
    overflow-y: scroll;
}

html,
body {
    height: 100%;
    font-family: "Microsoft YaHei", "Hiragino Sans GB", "Californian FB";
    padding-bottom: 20px;
}

.nav-tabs {
    overflow-x: auto;
    overflow-y: hidden;
    display: -webkit-box;
    display: -moz-box;
}

.nav-tabs > li {
    float: none;
}

.starter-template {
    padding: 40px 15px;
}

.key_label {
    min-width: 100px !important;
    min-height: 20px !important;
    display: inline-block !important;
}

.detail_keys {
    height: 32px;
}

.key_label:hover {
    cursor: pointer;
}

.number_keys {
    display: none;
}

.ana_text {
    text-align: left;
}

/* Everything but the jumbotron gets side spacing for mobile first views */
.header,
.marketing,
.footer {
    padding-left: 15px;
    padding-right: 15px;
}

/* Make the masthead heading the same height as the navigation */
.header h3 {
    margin-top: 0;
    margin-bottom: 0;
    line-height: 40px;
    padding-bottom: 19px;
}

/* Custom page footer */
.footer {
    padding-top: 19px;
    color: #777;
    border-top: 1px solid #e5e5e5;
}

.select2-container .select2-selection--single {
    height: 34px;
}

.select2-container .select2-selection--single .select2-selection__rendered {
    line-height: 32px;
}

.table-hover tbody tr:hover > td {
    cursor: pointer;
}

.form-signin {
    max-width: 330px;
    padding: 15px;
    margin: 0 auto;
}

.form-signin .form-signin-heading,
.form-signin .checkbox {
    margin-bottom: 10px;
}

.form-signin .checkbox {
    font-weight: normal;
}

.form-signin .form-control {
    position: relative;
    height: auto;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    padding: 10px;
    font-size: 16px;
}

.form-signin .form-control:focus {
    z-index: 2;
}

.form-signin input[type="email"] {
    margin-bottom: -1px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.form-signin input[type="password"] {
    margin-bottom: 10px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

/* Customize container */
@media (min-width: 768px) {
    .container {
        width: 75% !important;
    }
}

.container-narrow > hr {
    margin: 30px 0;
}

/* Main marketing message and sign up button */
.jumbotron {
    text-align: center;
    border-bottom: 1px solid #e5e5e5;
}

.jumbotron .btn {
    font-size: 21px;
    padding: 14px 24px;
}

/* Supporting marketing content */
.marketing {
    margin: 40px 0;
}

.marketing p + h4 {
    margin-top: 28px;
}

.pointer {
    cursor: pointer
}

.progress {
    position: relative;
}

.progress span {
    position: absolute;
    display: block;
    width: 100%;
    color: black;
}

.logo {
    float: left;
    margin-right: 20px;
}

.lds-ellipsis {
    display: inline-block;
    position: relative;
    width: 8px;
    height: 8px;
}

.lds-ellipsis div {
    position: absolute;
    top: 0px;
    width: 4px;
    height: 4px;
    border-radius: 50%;
    background: #000;
    animation-timing-function: cubic-bezier(0, 1, 1, 0);
}

.lds-ellipsis div:nth-child(1) {
    left: -4px;
    animation: lds-ellipsis1 0.6s infinite;
}

.lds-ellipsis div:nth-child(2) {
    left: -4px;
    animation: lds-ellipsis2 0.6s infinite;
}

.lds-ellipsis div:nth-child(3) {
    left: 3px;
    animation: lds-ellipsis2 0.6s infinite;
}

.lds-ellipsis div:nth-child(4) {
    left: 10px;
    animation: lds-ellipsis3 0.6s infinite;
}

@keyframes lds-ellipsis1 {
    0% {
        transform: scale(0);
    }
    100% {
        transform: scale(1);
    }
}

@keyframes lds-ellipsis3 {
    0% {
        transform: scale(1);
    }
    100% {
        transform: scale(0);
    }
}

@keyframes lds-ellipsis2 {
    0% {
        transform: translate(0, 0);
    }
    100% {
        transform: translate(6px, 0);
    }
}

/* Responsive: Portrait tablets and up */
@media screen and (min-width: 768px) {
    /* Remove the padding we set earlier */
    .header,
    .marketing,
    .footer {
        padding-left: 0;
        padding-right: 0;
    }

    /* Space out the masthead */
    .header {
        margin-bottom: 30px;
    }

    /* Remove the bottom border on the jumbotron for visual effect */
    .jumbotron {
        border-bottom: 0;
    }

    .logo-text {
        display: block;
    }

    .logo {
        width: 64px;
        height: 64px;
    }

    .right-layout {
        width: 50%;
    }

    .mobile-only {
        display: none;
    }
}

@media screen and (min-width: 0px) and (max-width: 767px) {
    .logo-text {
        display: none;
    }

    .logo {
        width: 48px;
        height: 48px;
        margin-left: 18px;
    }

    .pc-only {
        display: none;
    }
}
